/*******************************************************************************
 **
 ** $Id: do-unzip.C 149 2008-11-28 20:51:29Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include "peacemoments_caa.h"
#include "unzip.h"

int decompress(const QString &file, const QString &out)
{
   if (!QFile::exists(file))
   {
      return(_NO_SUCH_FILE);
   }       
        
   UnZip::ErrorCode ec;
   UnZip uz;
        
   ec = uz.openArchive(file);
   if (ec != UnZip::Ok)
   {       
      return(_FAILED_TO_OPEN_ARCHIVE);
   }
   
   ec = uz.extractAll(out);
   if (ec != UnZip::Ok)
   {
      uz.closeArchive();
      return(_EXTRACTION_FAILED);
   }

   return(_SUCCESS);
}

