/*******************************************************************************
 **
 ** $Id: doytoday.C 149 2008-11-28 20:51:29Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include "peacemoments_caa.h"

int doytoday(int year, int doy, int iwhich)
{

   int i, flag_stop, dim[13], daysum, daysum_prev, month, day, irt;

   day = 0;   // stop annoying compiler warnings
   month = 0; // stop annoying compiler warnings

   dim[1] = 31;
   if (maxDaysInYear(year) == 366)
   {
      dim[2] = 29;
   }
   else
   {
      dim[2] = 28;
   }
   dim[3] = 31;
   dim[4] = 30;
   dim[5] = 31;
   dim[6] = 30;
   dim[7] = 31;
   dim[8] = 31;
   dim[9] = 30;
   dim[10] = 31;
   dim[11] = 30;
   dim[12] = 31;
   
   daysum = 0;
   daysum_prev = 0;
   flag_stop = 0;
   for (i = 1; i <= 12; i++)
   {
      daysum_prev = daysum;
      daysum = daysum + dim[i];      
      if ((doy <= daysum) && (flag_stop == 0))
      {
         month = i;
	 day = doy - daysum_prev;
	 flag_stop = 1;
      }
   }
   
   if (iwhich == 1)
   {
      irt = day;
   }
   else
   {
      irt = month;
   }
   return(irt);
}
