/*******************************************************************************
 **
 ** $Id$
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include "peacemoments_caa.h"
#include <QDir>
#include <QFileInfoList>
#include <QFileInfo>

int extract_files(QString where, QStringList *list)
{

// setup required filters

   QStringList filterList1;
   filterList1 << "CAA_Download_*";

   QStringList filterList2;
   filterList2 << "C*";

   QStringList filterList3;
   filterList3 << "*.cef";

// find the name of the upper level CAA directory

   QDir dir1(where);
   dir1.setFilter(QDir::Dirs);
   dir1.setNameFilters(filterList1);
   QFileInfoList list1 = dir1.entryInfoList();
   QFileInfo fileInfo1 = list1.at(0);

// get the directory names of all the different data types, then extract
// the file names

   QDir dir2(where + "/" + fileInfo1.fileName());
   dir2.setFilter(QDir::Dirs);
   dir2.setNameFilters(filterList2);
   QFileInfoList list2 = dir2.entryInfoList();

   int num = 0;

   for (int i=0; i<list2.size(); i++)
   {
      QFileInfo fileInfo2 = list2.at(i);
      QDir dir3(where + "/" + fileInfo1.fileName() + "/" + fileInfo2.fileName());
      dir3.setFilter(QDir::Files);
      dir3.setNameFilters(filterList3);
      QFileInfoList list3 = dir3.entryInfoList();

      for (int j=0; j<list3.size(); j++)
      {
         QFileInfo fileInfo3 = list3.at(j);
         QString fileWFP = where + "/" + fileInfo1.fileName() + "/" + fileInfo2.fileName() + "/" +
                           fileInfo3.fileName();
         *list << fileWFP;
         num++;
      }
   }
   return(num);
}

