/*******************************************************************************
 **
 ** $Id: gse2bfa.C 149 2008-11-28 20:51:29Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include <math.h>

//-----------------------------------------------------------------------------
//
// gse2bfa
//
//-----------------------------------------------------------------------------

void gse2bfa(double bx, double by, double bz, double TR[][3])
{

   double mag_yz, mag_xyz, bxx, byy, bzz;

   mag_xyz = sqrt(bx*bx + by*by + bz*bz);

   bxx = bx/mag_xyz;
   byy = by/mag_xyz;
   bzz = bz/mag_xyz;

   mag_yz = sqrt(byy*byy + bzz*bzz);

   TR[0][0] = mag_yz;
   TR[0][1] = -bxx*byy/mag_yz;
   TR[0][2] = -bxx*bzz/mag_yz;
   TR[1][0] = 0;
   TR[1][1] = bzz/mag_yz;
   TR[1][2] = -byy/mag_yz;
   TR[2][0] = bxx;
   TR[2][1] = byy;
   TR[2][2] = bzz;
 
}

