/*******************************************************************************
 **
 ** $Id: plotmaker.h 174 2008-12-12 20:54:03Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/
 
#ifndef PLOTMAKER_H_
#define PLOTMAKER_H_

#include "qsiplot.h"

#define PDATA_N 0
#define PDATA_V 1
#define PDATA_VPARA 2
#define PDATA_VPERP 3
#define PDATA_T 4
#define PDATA_TPARA 5
#define PDATA_TPERP 6
#define PDATA_Q 7
#define PDATA_QPARA 8
#define PDATA_QPERP 9
#define PDATA_H 10
#define PDATA_HPARA 11
#define PDATA_HPERP 12
#define PDATA_B 13

//=============================================================================
//
// generate moments plot
//
//=============================================================================

class PlotMaker
{  
   public:
      PlotMaker();
      ~PlotMaker();

      int makePlot(QString, QString);

      struct sPML *mySettings;
      QImage qPlot;
   
   private:
      bool checkIfHave(int, int*, int);
};

#endif /*PLOTMAKER_H_*/
