/*******************************************************************************
 **
 ** $Id: plotmoments.C 149 2008-11-28 20:51:29Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include "peacemoments_caa.h"
#include "peacemoments_gui.h"
#include "window.h"

//-----------------------------------------------------------------------------
//
// constructor
//
//-----------------------------------------------------------------------------

PlotMoments::PlotMoments(int userPlotWidth, int userPlotHeight, QWidget *parent) : QWidget(parent)
{
   setFixedSize(userPlotWidth, userPlotHeight);
   setPalette(QPalette(QColor(255, 255, 255)));
   setAutoFillBackground(true);
   setWindowTitle("Moments");
}

//-----------------------------------------------------------------------------
//
// set window size
//
//-----------------------------------------------------------------------------

void PlotMoments::setMomentsWindowSize(int userPlotWidth, int userPlotHeight)
{
   plotWidth = userPlotWidth;
   plotHeight = userPlotHeight;

// if the size of the plot has changed, change the size of the window

   if (plotWidth != userPlotWidth || plotHeight != userPlotHeight)
   {
      setFixedSize(plotWidth, plotHeight);
   }
}

//-----------------------------------------------------------------------------
//
// paint the image
//
//-----------------------------------------------------------------------------

void PlotMoments::paintEvent(QPaintEvent *)
{
   QPainter painter(this);
   painter.drawPixmap(0, 0, plot);
}

