/*******************************************************************************
 **
 ** $Id: ret_codes.h 171 2008-12-03 11:42:42Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#ifndef RET_CODES_H_
#define RET_CODES_H_

#define _NOT_VALID_PEACE_FILE -1
#define _NOT_VALID_PEACE_UNITS -2
#define _NOT_VALID_POTENTIAL_FILE -3
#define _NOT_VALID_MAG_FIELD_FILE -4
#define _NOT_VALID_AUX_GSE_FILE -5
#define _NOT_VALID_TWO_PEACE_FILES -6
#define _NOT_VALID_TIME_OVERLAP_PEACE -7
#define _NOT_VALID_TIME_OVERLAP_POTENTIAL -8
#define _NOT_VALID_TIME_OVERLAP_MAG_FIELD -9
#define _NOT_VALID_TIME_OVERLAP_AUX_GSE -10
#define _FAILED_READ_DATA_REC_PEACE_1 -11
#define _FAILED_READ_DATA_REC_PEACE_2 -12
#define _FAILED_READ_DATA_REC_POTENTIAL -13
#define _FAILED_READ_DATA_REC_MAG_FIELD -14
#define _FAILED_READ_DATA_REC_AUX_GSE -15
#define _FAILED_OPEN_FILE_OUT_MOMENTS -16
#define _FAILED_OPEN_FILE_IN_PEACE_1 -17
#define _FAILED_OPEN_FILE_IN_PEACE_2 -18
#define _FAILED_OPEN_FILE_IN_POTENTIAL -19
#define _FAILED_OPEN_FILE_IN_MAG_FIELD -20
#define _FAILED_OPEN_FILE_IN_AUX_GSE -21
#define _NO_MOMENTS_CALCULATED -22
#define _NOT_VALID_SCN_PEACE_FILES -23
#define _NOT_VALID_SCN_POTENTIAL_FILE -24
#define _NOT_VALID_SCN_MAG_FIELD_FILE -25
#define _NOT_VALID_SCN_AUX_GSE_FILE -26
#define _NO_VALID_PEACE_FILES_SPECIFIED -27
#define _AUX_GSE_FILE_REQUIRED_FOR_COORD -28
#define _MAG_FIELD_FILE_REQUIRED_FOR_COORD -29
#define _ERROR_OPENING_FILE -30
#define _LEEA_DATA_REQUIRED_FOR_REQ_SENS_COMBI -31
#define _HEEA_DATA_REQUIRED_FOR_REQ_SENS_COMBI -32
#define _NO_SUCH_FILE -33
#define _FAILED_TO_OPEN_ARCHIVE -34
#define _EXTRACTION_FAILED -35
#define _ONLY_SINGLE_FILE_REQUIRED -36
#define _INCORRECT_COORD_SYSTEM_FOR_CE -37
#define _MAG_FIELD_REQ_FOR_CE -38

#define _SUCCESS 100
#define _FAILED -100

#endif /*RET_CODES_H_*/
