/*******************************************************************************
 **
 ** $Id: spectromaker.h 174 2008-12-12 20:54:03Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/
 
#ifndef SPECTROMAKER_H_
#define SPECTROMAKER_H_

#include "qsiplot.h"

//=============================================================================
//
// generate spectrogram plot
//
//=============================================================================

class SpectroMaker
{  
   public:
      SpectroMaker();
      ~SpectroMaker();

      int makePlot();

      QImage qPlot;
      int plotHeight, plotWidth;
      double yMin, yMax, cMin, cMax;
      QString filePeace1, filePeace2, filePotential, fileSave;
      int unitsSpectro;

      int spectroEnergy, spectroPolars, spectroSensors;

      double scpOff1, scpOff2;
      int scpOff2units;
   
   private:
      void getSpacecraftPotential(double, double, int *, int, double *, double *, double *);

};

#endif /*SPECTROMAKER_H_*/
