/*******************************************************************************
 **
 ** $Id: thread.h 149 2008-11-28 20:51:29Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#ifndef THREAD_H_
#define THREAD_H_

#include <QObject>
#include <QThread>
#include <QImage>

#include "peacemoments.h"

//=============================================================================
// 
// moments calculation thread
//
//=============================================================================

class calculateMomentsThread : public QThread
{
   Q_OBJECT

   public:
      calculateMomentsThread(QObject *parent = 0);
      ~calculateMomentsThread();
      QString *filePeace1;
      QString *filePeace2;
      QString *filePotential;
      QString *fileAuxGSE;
      QString *fileMagField;
      QString *fileOut;
      QString *dirOut;
      struct sWML *myWML;
      struct sPML *myPML;

      struct momCalcParams *myParams;

      int whatToDo;

      QImage momentsQImage;
      
      PeaceMoments *peaceMoments;
      
   signals:
      void returnedMessage(int, QString, int);
      void currentlyDoing(int);
      void thePlot(const QImage &);

   protected:
      void run();

   private:
};

#endif /*THREAD_H_*/
